
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_orderchangerq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for DistanceUnitListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="DistanceUnitListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Feet"/&amp;gt;
 *     &amp;lt;enumeration value="Kilometers"/&amp;gt;
 *     &amp;lt;enumeration value="Meters"/&amp;gt;
 *     &amp;lt;enumeration value="Miles"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "DistanceUnitListType")
@XmlEnum
public enum DistanceUnitListType {

    @XmlEnumValue("Feet")
    FEET("Feet"),

    /**
     * K = KILOMETERS
     * 
     */
    @XmlEnumValue("Kilometers")
    KILOMETERS("Kilometers"),
    @XmlEnumValue("Meters")
    METERS("Meters"),

    /**
     * M = MILES
     * 
     */
    @XmlEnumValue("Miles")
    MILES("Miles"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    DistanceUnitListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static DistanceUnitListType fromValue(String v) {
        for (DistanceUnitListType c: DistanceUnitListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
